Last modified: 2014-04-07 13:56:10 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 23879 - Dialogs: Search and Replace : Search and Replace in Chrome malfunctions when NTOC is enabled
Dialogs: Search and Replace : Search and Replace in Chrome malfunctions when ...
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
WikiEditor (Other open bugs)
unspecified
All All
: Low major (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2010-06-10 11:00 UTC by Calcey QA
Modified: 2014-04-07 13:56 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Wiki_2010-06-10_ChromeSearch&Replace.pdf (54.52 KB, application/pdf)
2010-06-10 11:00 UTC, Calcey QA
Details
Wiki_2010-06-11_FFSearch&Replace.pdf (190.93 KB, application/pdf)
2010-06-11 08:55 UTC, Calcey QA
Details

Description Calcey QA 2010-06-10 11:00:44 UTC
Created attachment 7453 [details]
Wiki_2010-06-10_ChromeSearch&Replace.pdf

Reporting against Babaco Release : r67679
Tested link :http://prototype.wikimedia.org/en.wikipedia.org/Main_Page

Steps to Reproduce ::

1) have the text in editor as
test qa
test qa
test Qa
test qa
test Qa
test qa
2) Search for test qa and replace the text as test test. Select the option Match Case and click on Replace all
<<It replace the text successfully>>
3) Undo changes and do the same again
<<Result differ>>

Expected Outcome::
Search and replace should always function same way

Test Environment::
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.70 Safari/533.4
Comment 1 Calcey QA 2010-06-10 11:14:01 UTC
(In reply to comment #0)
> Created an attachment (id=7453) [details]
> Wiki_2010-06-10_ChromeSearch&Replace.pdf
> 
> Reporting against Babaco Release : r67679
> Tested link :http://prototype.wikimedia.org/en.wikipedia.org/Main_Page
> 
> Steps to Reproduce ::
> 
> 1) have the text in editor as
> test qa
> test qa
> test Qa
> test qa
> test Qa
> test qa
> 2) Search for test qa and replace the text as test test. Select the option
> Match Case and click on Replace all
> <<It replace the text successfully>>
> 3) Undo changes and do the same again
> <<Result differ>>
> 
> Expected Outcome::
> Search and replace should always function same way
> 
> Test Environment::
> Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US) AppleWebKit/533.4 (KHTML, like
> Gecko) Chrome/5.0.375.70 Safari/533.4

This happen when NTOC is enable
Comment 2 Calcey QA 2010-06-11 08:55:50 UTC
Created attachment 7458 [details]
Wiki_2010-06-11_FFSearch&Replace.pdf

FF 3.5 / FF 3.6 also act different in different scenarios when NTOC on
Comment 3 Bugmeister Bot 2011-08-19 19:12:52 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 4 Andre Klapper 2014-04-07 13:56:10 UTC
Closing old tickets about Navigable TOC which is not worked on anymore.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links